xquery version "1.0";
(: Zugriff auf bestimmte XML-Dateien in einem bestimmten Ordner :) 
let $docs := collection("file:///C:/Users/horn/Dateien/.../Brief-Korpus/?select=*.xml")

(: jeden der erschlossenen Briefe durchgehen :)
    for $doc in $docs
    (: Briefnummer :)
    let $letterNr := ($doc)//AnnotationSet[@Name='Original markups']/Annotation[@Type="TEI"]//substring-after(Value,"L_")
    (: Autor :)
    let $startAuthor := ($doc)//AnnotationSet[@Name='Original markups']/Annotation[@Type="author"]/data(@StartNode)
    let $endAuthor := ($doc)//AnnotationSet[@Name='Original markups']/Annotation[@Type="author"]/data(@EndNode)
    let $author := data(($doc)//AnnotationSet[1]/Annotation[@Type='Token'][number(@StartNode) >= number($startAuthor)][number(@EndNode) <= number($endAuthor)]/Feature[3]/Value)
    (: Token zählen:)
    let $startText := ($doc)//AnnotationSet[@Name='Original markups']/Annotation[@Type="body"]/data(@StartNode)
    let $endText := ($doc)//AnnotationSet[@Name='Original markups']/Annotation[@Type="body"]/data(@EndNode)
    let $count :=  count((($doc)//AnnotationSet[1]//Annotation[@Type='Token'][number(@StartNode) >= number($startText)][number(@EndNode) <= number($endText)]))

    (: Ausgabe für jeden Brief, Semikolon als Trennzeichen:)
    return ($letterNr, ";", $author, ";", $count, "&#xA;")